Name:           avalon-logkit
Epoch:          0
Version:        2.1
Release:        34
Summary:        Java logging toolkit
License:        ASL 2.0
URL:            http://avalon.apache.org/
BuildArch:      noarch
Source0:        http://archive.apache.org/dist/excalibur/%{name}/source/%{name}-%{version}-src.zip

Patch0001:      0001-Port-build-script-to-Maven-3.patch
Patch0002:      0002-Port-to-Java-7.patch

BuildRequires:  maven-local mvn(javax.mail:mail) mvn(javax.servlet:servlet-api)
BuildRequires:  mvn(junit:junit) mvn(log4j:log4j) mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.geronimo.specs:geronimo-jms_1.1_spec)

%description
LogKit is a logging framework built to be simple to get started with, efficient to execute, safe
for shipping code, and extensible for flexibility.

%package help
Summary:        API documentation for avalon-logkit
Provides:       %{name}-javadoc = %{version}-%{release}
Obsoletes:      %{name}-javadoc < %{version}-%{release}

%description help
API documentation for avalon-logkit.

%prep
%autosetup -p1
mv project.xml pom.xml
%pom_remove_dep log4j:log4j
find . -type d -name lf5 | xargs rm -rf

%mvn_file :  avalon-logkit
%mvn_alias : logkit:logkit

%pom_xpath_inject pom:project "<packaging>bundle</packaging>"
%pom_xpath_inject pom:build "
  <plugins>
    <plugin>
      <groupId>org.apache.felix</groupId>
      <artifactId>maven-bundle-plugin</artifactId>
      <extensions>true</extensions>
      <configuration>
        <instructions>
          <Bundle-SymbolicName>avalon-logkit-2.1</Bundle-SymbolicName>
          <_nouses>true</_nouses>
        </instructions>
      </configuration>
    </plugin>
  </plugins>"

%build
%mvn_build -f

%install
%mvn_install

%files
%license LICENSE.txt NOTICE.txt
%{_datadir}/java/avalon-logkit.jar
%{_datadir}/maven-metadata/avalon-logkit.xml
%{_datadir}/maven-poms/avalon-logkit.pom

%files help -f .mfiles-javadoc

%changelog
* Fri Dec 24 2021 yaoxin <yaoxin30@huawei.com> - 0:2.1-34
- This package depends on log4j.After the log4j vulnerability CVE-2021-45105 is fixed,the version needs to be rebuild.

* Thu Dec 16 2021 wangkai <wangkai385@huawei.com> - 0:2.1-33
- This package depends on log4j.After the log4j vulnerability CVE-2021-44228 is fixed,the version needs to be rebuild.

* Tue Jan 21 2020 daiqianwen <daiqianwen@huawei.com> - 0:2.1-32
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: modify spec

* Thu Dec 12 2019 lijin Yang <yanglijin@huawei.com> - 0:2.1-31
- init package

* Tue May 07 2019 zhangyujing <zhangyujing1@huawei.com> - 0:2.1-30.h1
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:Eliminate differences
